package org.bayread.ckspecial;

import com.bayread.ckspecial.db.ClickhouseDB;
import com.clickhouse.client.internal.google.common.collect.ImmutableMap;
import org.bayread.ckspecial.bean.ComplexType;
import org.bayread.ckspecial.tool.IPUtil;

import java.util.Arrays;

/**
 * 主要演示几种特殊的数据类型写入操作
 * （ARRAY MAP DATE)
 */
public class ComplexTypeSamples {
    public static void main(String[] args) {
        ClickhouseDB db= new ClickhouseDB("ck-test-type");

        ComplexType ctype = new ComplexType();
        ctype.setDevip(IPUtil.getRandomIp());
        ctype.setLocation(Arrays.asList(1801,1802,1803));
        ctype.setMeminfo(ImmutableMap.of(1000, "CADE:19383", 1001, "VGF:10393", 1002, "DKF:33290"));
        ctype.day = "20220902";
        ctype.hour = 13;
        ctype.minute = 7;

        db.write(ctype);
    }
}
